Album: Legion
Date: April 13, 2022
Date Added: April 13, 2024
URLs:
- https://thehighblood.bandcamp.com/album/legion
Artists:
- Xszelor
- Highblood
Cover Artists:
- ◬ Evans Family ◬
Art Tags:
- The Grand Highblood
- 'cw: blood'
- 'cw: corpse'
Cover Art File Extension: png
Color: '#A36722'
Groups:
- Xszelor
- Fandom
Commentary: |-
    <i>Xszelor:</i>
    Single in style of upcoming Album.
    The times comes across. And we handled it.
    The greatest things come together with hands washed by blood.
---
Track: Legion
Duration: '6:08'
URLs:
- https://thehighblood.bandcamp.com/track/legion
Lyrics: |-
    We given you the sentence
    We given you the force
    We given you the thunder
    To strike with no remorse

    You given us the fortune
    The words that ripped the dark
    You given us the fracture
    To let on the War Mark

    Call of your mortal friends
    Thrown into pieces
    Try to, not to pretend
    To live as egrissed

    Falling to bloody ground
    Mashed up by bones and rags
    We are not totally downed
    So let us thrown in shine

    Our Honor
    Our Lust for Blood
    But forever may be proud for the Empress
    And the Gods of Days of Doom
    The Double Death Messiahs
    And remember to show no way of our mercy
    To pray for the right, the Empress

    Dread for the Dark caves
    Unthreatable Death
    Unthreatable Legion

    Remember
    The all of them
    Who shows the ways of other course
    They make no sense for us
    Remember
    The Victory or Death
